<?xml version="1.0" encoding="ISO-8859-1" standalone="yes"?>
<!--
The Apache Software License, Version 1.1

Copyright (c) 1999, 2000 The Apache Software Foundation.  All rights
reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in
   the documentation and/or other materials provided with the
   distribution.

3. The end-user documentation included with the redistribution, if
   any, must include the following acknowlegement:
      "This product includes software developed by the
       Apache Software Foundation (http://www.apache.org/)."
   Alternately, this acknowlegement may appear in the software itself,
   if and wherever such third-party acknowlegements normally appear.

4. The names "The Jakarta Project", "Ant", and "Apache Software
   Foundation" must not be used to endorse or promote products derived
   from this software without prior written permission. For written
   permission, please contact apache@apache.org.

5. Products derived from this software may not be called "Apache"
   nor may "Apache" appear in their names without prior written
   permission of the Apache Group.

THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
====================================================================

This software consists of voluntary contributions made by many
individuals on behalf of the Apache Software Foundation.  For more
information on the Apache Software Foundation, please see
<http://www.apache.org/>.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrn="http://xmlreleasenotes.free.fr">
	<!--
	This file belongs to XMLReleaseNotes V0.18.0.
	-->
	<!--
	The aim of this stylesheet is to define the implementation of the available plugins.
	-->
	<xsl:output indent="yes" encoding="ISO-8859-1"/>
	<!--
	This template is supposed to print an XML element that follows the following structure, for instance:
	<plugins>
		<level name="overview"/>
		<level name="component">
			<plugin name="component1" suffixURL="component1.html"/>
			<plugin name="component2" suffixURL="component2.html"/>
		</level>
		<level name="release">
			<plugin name="release" suffixURL="release.html"/>
		</level>
		<level name="feature">
			<plugin name="feature" suffixURL="feature.html"/>
		</level>
	</plugins>
	This structures defines all the plugins that are supposed to be available for the current implementation.
	The 'plugin/@name' is the name of the plugin, the one that will displayed.
	The 'plugin/@suffixURL' is the suffix of the HTML page that will be generated for the underlying plugin.
	-->
	<xsl:template name="showPlugins">
		<plugins>
			<level name="overview"/>
			<level name="component"/>
			<level name="release"/>
			<level name="feature"/>
		</plugins>
	</xsl:template>
	<!--
	This template is supposed to generated the body HTML code that makes a precise plugin at a given level.
	The parameter 'level' is expected and should be represent the level the plugin belongs to.
	The parameter 'index' is expected and is the ordinal of the plugin the generation is being asked for.
	-->
	<xsl:template name="runPlugin">
		<xsl:param name="level"/>
		<xsl:param name="index"/>
		<xsl:value-of select="$level"/>
		<xsl:text>-</xsl:text>
		<xsl:value-of select="$index"/>
	</xsl:template>
</xsl:stylesheet>
